summaryrefslogtreecommitdiff
path: root/tests/misc/stat-mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stat-mount.sh')
-rwxr-xr-xtests/misc/stat-mount.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/misc/stat-mount.sh b/tests/misc/stat-mount.sh
new file mode 100755
index 0000000..00afd22
--- /dev/null
+++ b/tests/misc/stat-mount.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Test stat -c%m
+
+# Copyright (C) 2010-2016 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ stat
+
+stat_mnt=$(stat -c%m .) || fail=1
+case "$stat_mnt" in
+ /*) ;;
+ *) fail=1;;
+esac
+
+Exit $fail